Bug 5971 - пакет inn-2.4.1-alt5 не собирается при установленном libkrb5-devel (1.3.1-alt5)
: пакет inn-2.4.1-alt5 не собирается при установленном libkrb5-devel (1.3.1-alt5)
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/inn)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-26 19:21 by
Modified: 2009-05-10 09:32 (History)


Attachments
patch, that enables support of '--with-kerberos=no' configure option (1.40 KB, patch)
2005-01-26 19:31, Egor Vyscrebentsov
no flags Details | Diff
patch for inn.spec to configure inn with --with-kerberos=no option (666 bytes, patch)
2005-01-26 19:32, Egor Vyscrebentsov
no flags Details | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-26 19:21:57
В случае установленного libkrb5-devel при сборке inn в момент компиляции
inn/authprogs/auth_krb5.c получаем ненайденность двух файлов: <krb5.h> и
<com_err.h>.
Первый находим в <krb5/krb5.h>, в то время как второй отстутствует в пакете
libkrb5-devel как минимум с версии 1.3.1-alt5 (в 1.3.1-alt3 был).
В качестве временного решения дал работоспособность параметру configure
--with-kerberos=no
------- Comment #1 From 2005-01-26 19:31:05 -------
Created an attachment (id=707) [details]
patch, that enables support of '--with-kerberos=no' configure option
------- Comment #2 From 2005-01-26 19:32:54 -------
Created an attachment (id=708) [details]
patch for inn.spec to configure inn with --with-kerberos=no option
------- Comment #3 From 2005-01-28 11:43:53 -------
исправлено в alt6
------- Comment #4 From 2006-12-01 08:45:07 -------
Re-fixed in 2.4.3-alt1:

- Rediffed inn-2.4.1-alt-krb5.patch and renamed to inn-2.4.3-alt-krb5.patch,
  harcoded '#include <et/com_err.h>', hardcoded '-I/usr/include/krb5
  -I/usr/include/et' into authprogs/Makefile instead of using buggy
  option --with-kerberos